Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Tue, 28 Apr 2015 02:15:12 +0300

On 04/28/2015 01:54 AM, Stefan Monnier wrote:

> I really think the etags backend should only return data when the TAGS
> file is in one of the parents of the current directory.

That goes against what Eli asked for in the past, though.

And unless loading of the TAGS file happens automatically (another 
change), this will do away with the convenience of the automatic 
suggestion when I do want to use etags.

> It seems a common enough request that we should accommodate
> them better. At the very least provide a minor mode which sets up
> such advice.

But how common is it, really? I've only seen one person ask for it so 
far. Surely the 5 or so people who actually use tags with Elisp are a 
distinct minority compared to the whole Emacs user base.